dofile(LockOn_Options.common_script_path.."elements_defs.lua")
dofile(LockOn_Options.script_path.."Controls/definitions.lua")

local containerElem			    = CreateElement "ceSimple"
containerElem.init_pos          = {(1 * aspect) -pb_dl, -1 + pb_dh, 0}
containerElem.name			    = "container"
containerElem.isdraw			= true
containerElem.isvisible			= false
containerElem.controllers		= {{"controls_base"}}
AddElement(containerElem)

-- base
local base				= CreateElement "ceMeshPoly"
base.name				= "Base"
base.primitivetype		= "triangles"
base.material			= orange_mat
base.vertices			= {{-pb_dl, -pb_dh},{-pb_dl,  pb_dh}, { pb_dl,  pb_dh},{ pb_dl, -pb_dh}}        
base.indices			= default_box_indices
base.init_pos			= {1.76,1.7}
base.h_clip_relation	= h_clip_relations.REWRITE_LEVEL
base.level				= DEFAULT_LEVEL
base.parent_element		= containerElem.name
AddElement(base)

-- pitch_scale
local pitch_scale			= CreateElement "ceTexPoly"
pitch_scale.name			= "pitch_scale"
pitch_scale.vertices		= {{pitch_scale_posx-line_width, pitch_scale_posy+(pitch_scale_sizey/2)},
								{pitch_scale_posx+line_width, pitch_scale_posy+(pitch_scale_sizey/2)},
								{pitch_scale_posx+line_width, pitch_scale_posy-(pitch_scale_sizey/2)},
								{pitch_scale_posx-line_width, pitch_scale_posy-(pitch_scale_sizey/2)}}
pitch_scale.indices			= default_box_indices
pitch_scale.material		= ligne_mat
pitch_scale.parent_element	= base.name
AddElement(pitch_scale)

-- roll_scale
local roll_scale	= Copy(pitch_scale)
roll_scale.name			= "roll_scale"
roll_scale.vertices	= {{roll_scale_posx-(roll_scale_sizex/2), roll_scale_posy+line_width},
					{roll_scale_posx-(roll_scale_sizex/2), roll_scale_posy-line_width},
					{roll_scale_posx+(roll_scale_sizex/2), roll_scale_posy-line_width},
					{roll_scale_posx+(roll_scale_sizex/2), roll_scale_posy+line_width}}
AddElement(roll_scale)

-- stick_position
local cyclicTrimPos        = Copy(pitch_scale)
cyclicTrimPos.name			= "cyclicTrimPos"
cyclicTrimPos.vertices		=
{
	{-stick_index_sz, -stick_index_sz},
		{-stick_index_sz,  stick_index_sz},
		{ stick_index_sz,  stick_index_sz},
		{ stick_index_sz, -stick_index_sz}
}
cyclicTrimPos.init_pos       	= {roll_scale_posx,roll_scale_posy}
cyclicTrimPos.material			= MakeMaterial("arcade.tga", {150,150,150,255})
cyclicTrimPos.tex_params		= {330/512, 365.5 / 512, 2*tex_scale, 2*tex_scale/0.8}
cyclicTrimPos.element_params	= {"PITCH_TRIM","ROLL_TRIM"}
cyclicTrimPos.controllers		= {{"move_up_down_using_parameter",0,-pitch_scale_sizey/2},	{"move_left_right_using_parameter",1,roll_scale_sizex/2}}
AddElement(cyclicTrimPos)

local aiCyclicPos = Copy(cyclicTrimPos)
aiCyclicPos.controllers		= {{"ai_cyclic", 0.13}}
aiCyclicPos.material		= MakeMaterial("arcade.tga", {0,255,255,255})
AddElement(aiCyclicPos)

local cyclicPos        = Copy(cyclicTrimPos)
cyclicPos.name				= "cyclicPos"
cyclicPos.init_pos       	= {roll_scale_posx,roll_scale_posy}
cyclicPos.material			= index_mat
cyclicPos.element_params	= {"STICKPITCH","STICKROLL"}
cyclicPos.tex_params		= {330/512, 365.5 / 512, 2*tex_scale, 2*tex_scale/0.8}
cyclicPos.controllers		= {{"move_up_down_using_parameter",0,-pitch_scale_sizey/2},	{"move_left_right_using_parameter",1,roll_scale_sizex/2}}
AddElement(cyclicPos)

-- rudder_scale
local rudder_scale                = Copy(pitch_scale)
rudder_scale.name			= "rudder_scale"
rudder_scale.vertices       = {{rudder_scale_posx-(rudder_scale_sizex/2), rudder_scale_posy+line_width},
							{rudder_scale_posx-(rudder_scale_sizex/2), rudder_scale_posy-line_width},
							{rudder_scale_posx+(rudder_scale_sizex/2), rudder_scale_posy-line_width},
							{rudder_scale_posx+(rudder_scale_sizex/2), rudder_scale_posy+line_width}}
AddElement(rudder_scale)

-- rudder_index red
local pedalTrimPos				= Copy(pitch_scale)
pedalTrimPos.name			= "rudder_index"
pedalTrimPos.vertices		=
{
	{rudder_scale_posx-curseur_size/8 , rudder_scale_posy-curseur_size/2},
	{rudder_scale_posx-curseur_size/8 ,  rudder_scale_posy+curseur_size/2},
	{rudder_scale_posx+curseur_size/8 ,  rudder_scale_posy+curseur_size/2},
	{rudder_scale_posx+curseur_size/8 , rudder_scale_posy-curseur_size/2}
}
pedalTrimPos.element_params	= {"PEDAL_TRIM"}
pedalTrimPos.controllers	= {{"move_left_right_using_parameter",0,rudder_scale_sizex/2}}
pedalTrimPos.material		= MakeMaterial("",{150,150,150,255})
AddElement(pedalTrimPos)

local pedalPos			= Copy(pedalTrimPos)
pedalPos.name			= "pedalTrimPos"
pedalPos.element_params	= {"PEDAL"}
pedalPos.controllers	= {{"move_left_right_using_parameter",0,rudder_scale_sizex/2}}
pedalPos.material		= MakeMaterial("",{150,0,30,255})
AddElement(pedalPos)

-- throttle_scale
local throttle_scale                = Copy(pitch_scale)
throttle_scale.name			= "throttle_scale"
throttle_scale.vertices       = {{throttle_scale_posx-line_width, throttle_scale_posy},
							{throttle_scale_posx-line_width, throttle_scale_posy+throttle_scale_sizey},
							{throttle_scale_posx+line_width, throttle_scale_posy+throttle_scale_sizey},
							{throttle_scale_posx+line_width, throttle_scale_posy}}
AddElement(throttle_scale)

-- throttle_index red
local throttle_index					= Copy(pitch_scale)
throttle_index.name			= "throttle_index"
throttle_index.vertices			= {{throttle_scale_posx-curseur_size/2 , throttle_scale_posy-curseur_size/8},
							{throttle_scale_posx-curseur_size/2 ,  throttle_scale_posy+curseur_size/8},
							{throttle_scale_posx+curseur_size/2 ,  throttle_scale_posy+curseur_size/8},
							{throttle_scale_posx+curseur_size/2 , throttle_scale_posy-curseur_size/8}}
throttle_index.element_params	= {"COLLECTIVE"}
throttle_index.controllers		= {{"move_up_down_using_parameter",0,throttle_scale_sizey}}
throttle_index.material		= MakeMaterial("",{150,0,30,255})
AddElement(throttle_index)

local aiCollectivePos = Copy(throttle_index)
aiCollectivePos.controllers		= {{"ai_collective", 0.26}}
aiCollectivePos.material		= MakeMaterial("", {0,255,255,255})
AddElement(aiCollectivePos)
